package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/purchasemanage"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

func registerErpPurchaseManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	r := v1.Group("/erp_purchase").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())

	r.POST("create", purchasemanage.ErpPurchaseCreate)              // 创建采购订单（入库/退货）
	r.POST("edit", purchasemanage.ErpPurchaseEdit)                  // 编辑采购订单
	r.POST("list", purchasemanage.ErpPurchaseList)                  // 查询采购订单列表
	r.POST("detail", purchasemanage.ErpPurchaseDetail)              // 查询采购订单详情
	r.POST("audit", purchasemanage.ErpPurchaseAudit)                // 审核采购订单
	r.POST("delete", purchasemanage.ErpPurchaseDelete)              // 删除采购订单
	r.POST("inventory", purchasemanage.ErpPurchaseInventory)        // 入库（退货）
	r.POST("terminate", purchasemanage.ErpPurchaseTerminate)        // 终止
	r.POST("execute", purchasemanage.ErpPurchaseExecute)            // 执行
	r.POST("demand/create", purchasemanage.ErpPurchaseDemandCreate) // 创建采购需求
	r.POST("demand/get", purchasemanage.ErpPurchaseDemandGet)       // 获取采购需求
	r.POST("demand/finish", purchasemanage.ErpPurchaseDemandFinish) // 完成采购需求
}
